Subject: Re: openssl commandline tools always output in text mode
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Fri, 06 Jun 2003 21:19:12 +0200

Hi Corinna,

> On Fri, Jun 06, 2003 at 01:29:29PM +0200, Patrick Eisenacher wrote:
>> Did you try the example I provided in my last posting?
> 
> No, I don't have keys and that stuff to test with.  What I did was,
> to examine the source code of OpenSSL.
> 
> The OpenSSL tools do open input files generally in binary mode
> while writing sometimes in binary mode, sometimes in the "don't
> care" mode.
> 
> If your input file contains CRLFs, the output file might contain
> them untranslated.  Is that possible here?  Are your input files
> "infected" with CRLFs?

Nope.

But I attached you a key, cert and testmail with which you should be 
able to reproduce the problem.

The command is:
$ openssl smime -decrypt -in testmail.corinna.plain.encrypted -recip 
corinna.crt -inkey corinna.key -out testit.out

$ cat -A testit.out
Content-Type: text/plain; charset=us-ascii; format=flowed^M$
Content-Transfer-Encoding: 7bit^M$
^M$
test plain^M$
^M$

$ od -c testit.out
0000000   C   o   n   t   e   n   t   -   T   y   p   e   :       t   e
0000020   x   t   /   p   l   a   i   n   ;       c   h   a   r   s   e
0000040   t   =   u   s   -   a   s   c   i   i   ;       f   o   r   m
0000060   a   t   =   f   l   o   w   e   d  \r  \n   C   o   n   t   e
0000100   n   t   -   T   r   a   n   s   f   e   r   -   E   n   c   o
0000120   d   i   n   g   :       7   b   i   t  \r  \n  \r  \n   t   e
0000140   s   t       p   l   a   i   n  \r  \n  \r  \n
0000154

Please let me know whether you get the same result as I do and whether 
this helps identifying the culprit.

Thanks,
Patrick

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/